Index: /trunk/include/template.class.php
===================================================================
--- /trunk/include/template.class.php	(revision 9558)
+++ /trunk/include/template.class.php	(revision 9559)
@@ -903,5 +903,12 @@
       'core.scripts' => 'themes/default/js/scripts.js',
       'jquery' => 'themes/default/js/jquery.min.js',
-      'jquery.ui' => 'themes/default/js/jquery.ui.min.js'
+      'jquery.ui' => 'themes/default/js/ui/minified/jquery.ui.core.min.js',
+      'jquery.effects' => 'themes/default/js/ui/minified/jquery.effects.core.min.js',
+    );
+
+  private static $ui_core_dependencies = array(
+      'jquery.ui.widget' => array('jquery'),
+      'jquery.ui.position' => array('jquery'),
+      'jquery.ui.mouse' => array('jquery', 'jquery.ui', 'jquery.ui.widget'),
     );
 
@@ -961,4 +968,10 @@
       if ($load_mode < $script->load_mode)
         $script->load_mode = $load_mode;
+    }
+    // Load or modify all UI core files
+    if ($id == 'jquery.ui' and $script->path == self::$known_paths['jquery.ui'])
+    {
+      foreach (self::$ui_core_dependencies as $script_id => $required_ids)
+        $this->add($script_id, $load_mode, $required_ids, null, $version);
     }
   }
@@ -1086,8 +1099,27 @@
     if ( strncmp($id, 'jquery.', 7)==0 )
     {
-      if ( !in_array('jquery', $script->precedents ) )
-        $script->precedents[] = 'jquery';
-      if ( strncmp($id, 'jquery.ui.', 10)==0 && !in_array('jquery.ui', $script->precedents ) )
-        $script->precedents[] = 'jquery.ui';
+      $required_ids = array('jquery');
+
+      if ( strncmp($id, 'jquery.ui.', 10)==0 )
+      {
+        if ( !isset(self::$ui_core_dependencies[$id]) )
+          $required_ids = array_merge(array('jquery', 'jquery.ui'), array_keys(self::$ui_core_dependencies));
+
+        if ( empty($script->path) )
+          $script->path = dirname(self::$known_paths['jquery.ui'])."/$id.min.js";
+      }
+      elseif ( strncmp($id, 'jquery.effects.', 15)==0 )
+      {
+        $required_ids = array('jquery', 'jquery.effects');
+
+        if ( empty($script->path) )
+          $script->path = dirname(self::$known_paths['jquery.ui'])."/$id.min.js";
+      }
+
+      foreach ($required_ids as $required_id)
+      {
+        if ( !in_array($required_id, $script->precedents ) )
+          $script->precedents[] = $required_id;
+      }
     }
   }
Index: /trunk/themes/default/js/ui/i18n/jquery-ui-i18n.js
===================================================================
--- /trunk/themes/default/js/ui/i18n/jquery-ui-i18n.js	(revision 9558)
+++ /trunk/themes/default/js/ui/i18n/jquery-ui-i18n.js	(revision 9559)
@@ -607,5 +607,5 @@
 		firstDay: 1,
 		isRTL: false,
-		showMonthAfterYear: false,
+		showMonthAfterYear: true,
 		yearSuffix: ''};
 	$.datepicker.setDefaults($.datepicker.regional['hu']);
@@ -880,24 +880,24 @@
 });/* Norwegian initialisation for the jQuery UI date picker plugin. */
 /* Written by Naimdjon Takhirov (naimdjon@gmail.com). */
-jQuery(function($){
-    $.datepicker.regional['no'] = {
-		closeText: 'Lukk',
-        prevText: '&laquo;Forrige',
-		nextText: 'Neste&raquo;',
-		currentText: 'I dag',
-        monthNames: ['Januar','Februar','Mars','April','Mai','Juni',
-        'Juli','August','September','Oktober','November','Desember'],
-        monthNamesShort: ['Jan','Feb','Mar','Apr','Mai','Jun',
-        'Jul','Aug','Sep','Okt','Nov','Des'],
-		dayNamesShort: ['Søn','Man','Tir','Ons','Tor','Fre','Lør'],
-		dayNames: ['Søndag','Mandag','Tirsdag','Onsdag','Torsdag','Fredag','Lørdag'],
-		dayNamesMin: ['Sø','Ma','Ti','On','To','Fr','Lø'],
-		weekHeader: 'Uke',
-        dateFormat: 'dd.mm.yy',
-		firstDay: 1,
-		isRTL: false,
-		showMonthAfterYear: false,
-		yearSuffix: ''};
-    $.datepicker.setDefaults($.datepicker.regional['no']);
+
+jQuery(function($){
+  $.datepicker.regional['no'] = {
+    closeText: 'Lukk',
+    prevText: '&laquo;Forrige',
+    nextText: 'Neste&raquo;',
+    currentText: 'I dag',
+    monthNames: ['januar','februar','mars','april','mai','juni','juli','august','september','oktober','november','desember'],
+    monthNamesShort: ['jan','feb','mar','apr','mai','jun','jul','aug','sep','okt','nov','des'],
+    dayNamesShort: ['søn','man','tir','ons','tor','fre','lør'],
+    dayNames: ['søndag','mandag','tirsdag','onsdag','torsdag','fredag','lørdag'],
+    dayNamesMin: ['sø','ma','ti','on','to','fr','lø'],
+    weekHeader: 'Uke',
+    dateFormat: 'dd.mm.yy',
+    firstDay: 1,
+    isRTL: false,
+    showMonthAfterYear: false,
+    yearSuffix: ''
+  };
+  $.datepicker.setDefaults($.datepicker.regional['no']);
 });
 /* Polish initialisation for the jQuery UI date picker plugin. */
Index: /trunk/themes/default/js/ui/i18n/jquery.ui.datepicker-hu.js
===================================================================
--- /trunk/themes/default/js/ui/i18n/jquery.ui.datepicker-hu.js	(revision 9558)
+++ /trunk/themes/default/js/ui/i18n/jquery.ui.datepicker-hu.js	(revision 9559)
@@ -18,5 +18,5 @@
 		firstDay: 1,
 		isRTL: false,
-		showMonthAfterYear: false,
+		showMonthAfterYear: true,
 		yearSuffix: ''};
 	$.datepicker.setDefaults($.datepicker.regional['hu']);
Index: /trunk/themes/default/js/ui/i18n/jquery.ui.datepicker-no.js
===================================================================
--- /trunk/themes/default/js/ui/i18n/jquery.ui.datepicker-no.js	(revision 9558)
+++ /trunk/themes/default/js/ui/i18n/jquery.ui.datepicker-no.js	(revision 9559)
@@ -1,23 +1,23 @@
 /* Norwegian initialisation for the jQuery UI date picker plugin. */
 /* Written by Naimdjon Takhirov (naimdjon@gmail.com). */
+
 jQuery(function($){
-    $.datepicker.regional['no'] = {
-		closeText: 'Lukk',
-        prevText: '&laquo;Forrige',
-		nextText: 'Neste&raquo;',
-		currentText: 'I dag',
-        monthNames: ['Januar','Februar','Mars','April','Mai','Juni',
-        'Juli','August','September','Oktober','November','Desember'],
-        monthNamesShort: ['Jan','Feb','Mar','Apr','Mai','Jun',
-        'Jul','Aug','Sep','Okt','Nov','Des'],
-		dayNamesShort: ['Søn','Man','Tir','Ons','Tor','Fre','Lør'],
-		dayNames: ['Søndag','Mandag','Tirsdag','Onsdag','Torsdag','Fredag','Lørdag'],
-		dayNamesMin: ['Sø','Ma','Ti','On','To','Fr','Lø'],
-		weekHeader: 'Uke',
-        dateFormat: 'dd.mm.yy',
-		firstDay: 1,
-		isRTL: false,
-		showMonthAfterYear: false,
-		yearSuffix: ''};
-    $.datepicker.setDefaults($.datepicker.regional['no']);
+  $.datepicker.regional['no'] = {
+    closeText: 'Lukk',
+    prevText: '&laquo;Forrige',
+    nextText: 'Neste&raquo;',
+    currentText: 'I dag',
+    monthNames: ['januar','februar','mars','april','mai','juni','juli','august','september','oktober','november','desember'],
+    monthNamesShort: ['jan','feb','mar','apr','mai','jun','jul','aug','sep','okt','nov','des'],
+    dayNamesShort: ['søn','man','tir','ons','tor','fre','lør'],
+    dayNames: ['søndag','mandag','tirsdag','onsdag','torsdag','fredag','lørdag'],
+    dayNamesMin: ['sø','ma','ti','on','to','fr','lø'],
+    weekHeader: 'Uke',
+    dateFormat: 'dd.mm.yy',
+    firstDay: 1,
+    isRTL: false,
+    showMonthAfterYear: false,
+    yearSuffix: ''
+  };
+  $.datepicker.setDefaults($.datepicker.regional['no']);
 });
Index: /trunk/themes/default/js/ui/jquery.effects.blind.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.blind.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.blind.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Blind 1.8.9
+ * jQuery UI Effects Blind 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.bounce.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.bounce.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.bounce.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Bounce 1.8.9
+ * jQuery UI Effects Bounce 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.clip.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.clip.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.clip.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Clip 1.8.9
+ * jQuery UI Effects Clip 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.core.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.core.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.core.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects 1.8.9
+ * jQuery UI Effects 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -308,5 +308,5 @@
 
 $.extend($.effects, {
-	version: "1.8.9",
+	version: "1.8.10",
 
 	// Saves a set of properties in a data storage
Index: /trunk/themes/default/js/ui/jquery.effects.drop.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.drop.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.drop.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Drop 1.8.9
+ * jQuery UI Effects Drop 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.explode.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.explode.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.explode.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Explode 1.8.9
+ * jQuery UI Effects Explode 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.fade.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.fade.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.fade.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Fade 1.8.9
+ * jQuery UI Effects Fade 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.fold.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.fold.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.fold.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Fold 1.8.9
+ * jQuery UI Effects Fold 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.highlight.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.highlight.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.highlight.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Highlight 1.8.9
+ * jQuery UI Effects Highlight 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.pulsate.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.pulsate.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.pulsate.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Pulsate 1.8.9
+ * jQuery UI Effects Pulsate 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.scale.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.scale.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.scale.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Scale 1.8.9
+ * jQuery UI Effects Scale 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.shake.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.shake.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.shake.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Shake 1.8.9
+ * jQuery UI Effects Shake 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.slide.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.slide.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.slide.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Slide 1.8.9
+ * jQuery UI Effects Slide 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.effects.transfer.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.effects.transfer.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.effects.transfer.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Effects Transfer 1.8.9
+ * jQuery UI Effects Transfer 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.ui.accordion.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.accordion.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.accordion.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Accordion 1.8.9
+ * jQuery UI Accordion 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -514,5 +514,5 @@
 
 $.extend( $.ui.accordion, {
-	version: "1.8.9",
+	version: "1.8.10",
 	animations: {
 		slide: function( options, additions ) {
Index: /trunk/themes/default/js/ui/jquery.ui.autocomplete.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.autocomplete.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.autocomplete.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Autocomplete 1.8.9
+ * jQuery UI Autocomplete 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -14,4 +14,7 @@
  */
 (function( $, undefined ) {
+
+// used to prevent race conditions with remote data sources
+var requestIndex = 0;
 
 $.widget( "ui.autocomplete", {
@@ -257,15 +260,14 @@
 					data: request,
 					dataType: "json",
-					success: function( data, status, xhr ) {
-						if ( xhr === self.xhr ) {
+					autocompleteRequest: ++requestIndex,
+					success: function( data, status ) {
+						if ( this.autocompleteRequest === requestIndex ) {
 							response( data );
 						}
-						self.xhr = null;
 					},
-					error: function( xhr ) {
-						if ( xhr === self.xhr ) {
+					error: function() {
+						if ( this.autocompleteRequest === requestIndex ) {
 							response( [] );
 						}
-						self.xhr = null;
 					}
 				});
Index: /trunk/themes/default/js/ui/jquery.ui.button.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.button.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.button.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Button 1.8.9
+ * jQuery UI Button 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -291,18 +291,22 @@
 				.text(),
 			icons = this.options.icons,
-			multipleIcons = icons.primary && icons.secondary;
+			multipleIcons = icons.primary && icons.secondary,
+			buttonClasses = [];  
+
 		if ( icons.primary || icons.secondary ) {
-			buttonElement.addClass( "ui-button-text-icon" +
-				( multipleIcons ? "s" : ( icons.primary ? "-primary" : "-secondary" ) ) );
+			buttonClasses.push( "ui-button-text-icon" + ( multipleIcons ? "s" : ( icons.primary ? "-primary" : "-secondary" ) ) );
+
 			if ( icons.primary ) {
 				buttonElement.prepend( "<span class='ui-button-icon-primary ui-icon " + icons.primary + "'></span>" );
 			}
+
 			if ( icons.secondary ) {
 				buttonElement.append( "<span class='ui-button-icon-secondary ui-icon " + icons.secondary + "'></span>" );
 			}
+
 			if ( !this.options.text ) {
-				buttonElement
-					.addClass( multipleIcons ? "ui-button-icons-only" : "ui-button-icon-only" )
-					.removeClass( "ui-button-text-icons ui-button-text-icon-primary ui-button-text-icon-secondary" );
+				buttonClasses.push( multipleIcons ? "ui-button-icons-only" : "ui-button-icon-only" );
+				buttonElement.removeClass( "ui-button-text-icons ui-button-text-icon-primary ui-button-text-icon-secondary" );
+
 				if ( !this.hasTitle ) {
 					buttonElement.attr( "title", buttonText );
@@ -310,6 +314,7 @@
 			}
 		} else {
-			buttonElement.addClass( "ui-button-text-only" );
-		}
+			buttonClasses.push( "ui-button-text-only" );
+		}
+		buttonElement.addClass( buttonClasses.join( " " ) );
 	}
 });
Index: /trunk/themes/default/js/ui/jquery.ui.core.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.core.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.core.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*!
- * jQuery UI 1.8.9
+ * jQuery UI 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -19,5 +19,5 @@
 
 $.extend( $.ui, {
-	version: "1.8.9",
+	version: "1.8.10",
 
 	keyCode: {
Index: /trunk/themes/default/js/ui/jquery.ui.datepicker.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.datepicker.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.datepicker.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Datepicker 1.8.9
+ * jQuery UI Datepicker 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -13,5 +13,5 @@
 (function( $, undefined ) {
 
-$.extend($.ui, { datepicker: { version: "1.8.9" } });
+$.extend($.ui, { datepicker: { version: "1.8.10" } });
 
 var PROP_NAME = 'datepicker';
@@ -701,5 +701,7 @@
 			'Class']('ui-datepicker-rtl');
 		if (inst == $.datepicker._curInst && $.datepicker._datepickerShowing && inst.input &&
-				inst.input.is(':visible') && !inst.input.is(':disabled'))
+				// #6694 - don't focus the input if it's already focused
+				// this breaks the change event in IE
+				inst.input.is(':visible') && !inst.input.is(':disabled') && inst.input[0] != document.activeElement)
 			inst.input.focus();
 		// deffered render of the years select (to avoid flashes on Firefox) 
@@ -753,5 +755,5 @@
 		var inst = this._getInst(obj);
 		var isRTL = this._get(inst, 'isRTL');
-        while (obj && (obj.type == 'hidden' || obj.nodeType != 1)) {
+        while (obj && (obj.type == 'hidden' || obj.nodeType != 1 || $.expr.filters.hidden(obj))) {
             obj = obj[isRTL ? 'previousSibling' : 'nextSibling'];
         }
@@ -1655,5 +1657,5 @@
 	/* Find the number of days in a given month. */
 	_getDaysInMonth: function(year, month) {
-		return 32 - new Date(year, month, 32).getDate();
+		return 32 - this._daylightSavingAdjust(new Date(year, month, 32)).getDate();
 	},
 
@@ -1725,5 +1727,10 @@
    @return  jQuery object */
 $.fn.datepicker = function(options){
-
+	
+	/* Verify an empty collection wasn't passed - Fixes #6976 */
+	if ( !this.length ) {
+		return this;
+	}
+	
 	/* Initialise the date picker. */
 	if (!$.datepicker.initialized) {
@@ -1751,5 +1758,5 @@
 $.datepicker.initialized = false;
 $.datepicker.uuid = new Date().getTime();
-$.datepicker.version = "1.8.9";
+$.datepicker.version = "1.8.10";
 
 // Workaround for #4055
Index: /trunk/themes/default/js/ui/jquery.ui.dialog.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.dialog.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.dialog.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Dialog 1.8.9
+ * jQuery UI Dialog 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -682,5 +682,5 @@
 
 $.extend($.ui.dialog, {
-	version: "1.8.9",
+	version: "1.8.10",
 
 	uuid: 0,
Index: /trunk/themes/default/js/ui/jquery.ui.draggable.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.draggable.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.draggable.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Draggable 1.8.9
+ * jQuery UI Draggable 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -460,5 +460,5 @@
 
 $.extend($.ui.draggable, {
-	version: "1.8.9"
+	version: "1.8.10"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.droppable.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.droppable.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.droppable.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Droppable 1.8.9
+ * jQuery UI Droppable 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -148,5 +148,5 @@
 
 $.extend($.ui.droppable, {
-	version: "1.8.9"
+	version: "1.8.10"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.mouse.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.mouse.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.mouse.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*!
- * jQuery UI Mouse 1.8.9
+ * jQuery UI Mouse 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.ui.position.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.position.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.position.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Position 1.8.9
+ * jQuery UI Position 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
Index: /trunk/themes/default/js/ui/jquery.ui.progressbar.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.progressbar.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.progressbar.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Progressbar 1.8.9
+ * jQuery UI Progressbar 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -103,5 +103,5 @@
 
 $.extend( $.ui.progressbar, {
-	version: "1.8.9"
+	version: "1.8.10"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.resizable.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.resizable.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.resizable.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Resizable 1.8.9
+ * jQuery UI Resizable 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -323,8 +323,8 @@
 		if(this._helper) {
 			var pr = this._proportionallyResizeElements, ista = pr.length && (/textarea/i).test(pr[0].nodeName),
-						soffseth = ista && $.ui.hasScroll(pr[0], 'left') /* TODO - jump height */ ? 0 : self.sizeDiff.height,
-							soffsetw = ista ? 0 : self.sizeDiff.width;
-
-			var s = { width: (self.size.width - soffsetw), height: (self.size.height - soffseth) },
+				soffseth = ista && $.ui.hasScroll(pr[0], 'left') /* TODO - jump height */ ? 0 : self.sizeDiff.height,
+				soffsetw = ista ? 0 : self.sizeDiff.width;
+
+			var s = { width: (self.helper.width()  - soffsetw), height: (self.helper.height() - soffseth) },
 				left = (parseInt(self.element.css('left'), 10) + (self.position.left - self.originalPosition.left)) || null,
 				top = (parseInt(self.element.css('top'), 10) + (self.position.top - self.originalPosition.top)) || null;
@@ -520,5 +520,5 @@
 
 $.extend($.ui.resizable, {
-	version: "1.8.9"
+	version: "1.8.10"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.selectable.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.selectable.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.selectable.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Selectable 1.8.9
+ * jQuery UI Selectable 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -261,5 +261,5 @@
 
 $.extend($.ui.selectable, {
-	version: "1.8.9"
+	version: "1.8.10"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.slider.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.slider.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.slider.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Slider 1.8.9
+ * jQuery UI Slider 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -677,5 +677,5 @@
 
 $.extend( $.ui.slider, {
-	version: "1.8.9"
+	version: "1.8.10"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.sortable.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.sortable.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.sortable.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Sortable 1.8.9
+ * jQuery UI Sortable 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -1068,5 +1068,5 @@
 
 $.extend($.ui.sortable, {
-	version: "1.8.9"
+	version: "1.8.10"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.tabs.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.tabs.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.tabs.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*
- * jQuery UI Tabs 1.8.9
+ * jQuery UI Tabs 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
@@ -699,5 +699,5 @@
 
 $.extend( $.ui.tabs, {
-	version: "1.8.9"
+	version: "1.8.10"
 });
 
Index: /trunk/themes/default/js/ui/jquery.ui.widget.js
===================================================================
--- /trunk/themes/default/js/ui/jquery.ui.widget.js	(revision 9558)
+++ /trunk/themes/default/js/ui/jquery.ui.widget.js	(revision 9559)
@@ -1,4 +1,4 @@
 /*!
- * jQuery UI Widget 1.8.9
+ * jQuery UI Widget 1.8.10
  *
  * Copyright 2011, AUTHORS.txt (http://jqueryui.com/about)
